Subject: Re: [PATCH 4/7] alpha: provide ioread64 and iowrite64 implementations

From: Alan Cox <[email-masked]>
Date: Thu, 22 Jun 2017 21:08:28 +0100

On Thu, 22 Jun 2017 10:48:14 -0600
Logan Gunthorpe <[email-masked]> wrote:

> Alpha implements its own io operation and doesn't use the
> common library. Thus to make ioread64 and iowrite64 globally
> available we need to add implementations for alpha.
> 
> For this, we simply use calls that chain two 32-bit operations.
> (mostly because I don't really understand the alpha architecture.)

But this does not do the same thing as an ioread64 with regards to
atomicity or side effects on the device. The same is true of the other
hacks. You either have a real 64bit single read/write from MMIO space or
you don't. You can't fake it.

Alan